#include <unistd.h>
#include <assert.h>
#include <math.h>

int main(int argc, char** argv)
{
  short int thesample;
  long long ms = 0, lastms = 0;
  long N = 0;
  long rms;

  assert(sizeof(thesample)==2);
  while(2 == read(STDIN_FILENO, &thesample, 2)) {
    ms += (long) thesample * (long) thesample;
    assert(ms >= lastms);
    lastms = ms;
    ++N;
  }
  if (N == 0) {
    rms = 8000;
  } else {
    rms = ms / N;
  }
  printf("%d\n", (long)sqrt((double)rms));
  exit(0);
}
